Subject: Re: [PATCH] gitweb: use action dispatcher for non-project actions, too.

From: Martin Waitz <[email-masked]>
Date: Thu, 17 Aug 2006 21:43:32 +0200

hoi :)

On Wed, Aug 16, 2006 at 07:06:02PM -0700, Junio C Hamano wrote:
> Martin Waitz <[email-masked]> writes:
> 
> > Allow to use the global action dispatcher for all actions by introducing
> > "/actions".  If no project directory is given then a / is prepended to the
> > action and the normal dispatcher is called.
> > Project list and OPML generation are now hooked into the list as "/summary"
> > and "/opml".
> >
> > As "/" is not an allowed character in actions accepted through the CGI
> > parameters, it is still ensured that no normal action can be called without
> > giving a valid project directory.
> >
> > Signed-off-by: Martin Waitz <[email-masked]>
> > ---
> >  gitweb/gitweb.perl |   17 ++++++++---------
> >  1 files changed, 8 insertions(+), 9 deletions(-)
> 
> You completely lost me.  What are you trying to achieve here?

I just want to separate all the URL generation/parsing from the rest
of the code.
So I removed the opml/project list calls from the parsing code.

The target is to be able to be able to replace it without influencing
other parts of the code.

> I suspect this kind of funkies (and PATH_INFO) might be easier
> to do in mod_rewrite() outside gitweb, but that is probably just
> me.

Well, I think that the URL shown in the browser is one important
part of the user interface of a web page. So we should not rely
on the system administrator to implement it on his own.

-- 
Martin Waitz